

#include "BUILTIN.h"
extern OBJ _AAnonQuadruple_5(OBJ,OBJ,OBJ,OBJ);OBJ __AAnonQuadruple_5; /* 1st */
extern OBJ _AAnonQuadruple_6(OBJ,OBJ,OBJ,OBJ);OBJ __AAnonQuadruple_6; /* 2nd */
extern OBJ _AAnonQuadruple_7(OBJ,OBJ,OBJ,OBJ);OBJ __AAnonQuadruple_7; /* 3rd */
extern OBJ _AAnonQuadruple_8(OBJ,OBJ,OBJ,OBJ);OBJ __AAnonQuadruple_8; /* 4th */

extern OBJ _AAnonQuadruple_5(OBJ x1,OBJ x2,OBJ x3,OBJ x4) /* 1st */
{OBJ r;
 FREE(x2,1);
 FREE(x3,1);
 FREE(x4,1);
 r=x1;
 return r;}

extern OBJ _AAnonQuadruple_6(OBJ x1,OBJ x2,OBJ x3,OBJ x4) /* 2nd */
{OBJ r;
 FREE(x1,1);
 FREE(x3,1);
 FREE(x4,1);
 r=x2;
 return r;}

extern OBJ _AAnonQuadruple_7(OBJ x1,OBJ x2,OBJ x3,OBJ x4) /* 3rd */
{OBJ r;
 FREE(x1,1);
 FREE(x2,1);
 FREE(x4,1);
 r=x3;
 return r;}

extern OBJ _AAnonQuadruple_8(OBJ x1,OBJ x2,OBJ x3,OBJ x4) /* 4th */
{OBJ r;
 FREE(x1,1);
 FREE(x2,1);
 FREE(x3,1);
 r=x4;
 return r;}

static OBJ _mt_4_0_4(OBJ t,OBJ t1,OBJ t2,OBJ t3,OBJ t4) 
{OBJ r;
 DCCLS(t,1);
 r=(*(OBJ(*)(OBJ,OBJ,OBJ,OBJ))ENTRY(t))(t1,t2,t3,t4);
 return r;}

init_AAnonQuadruple()
{
 static int visited=0; if(visited) return; visited=1;
 CLS(4,_AAnonQuadruple_8,__AAnonQuadruple_8);
 CLS(4,_AAnonQuadruple_7,__AAnonQuadruple_7);
 CLS(4,_AAnonQuadruple_6,__AAnonQuadruple_6);
 CLS(4,_AAnonQuadruple_5,__AAnonQuadruple_5);
 MTH(4,0,4,_mt_4_0_4);LZYMTH(4,0,4,_mt_4_0_4);}

